"""The dashboard page."""
from blurme.templates import template

import reflex as rx

ICON_EMAIL = "assets/email-icon.png"
ICON_PHONE = "assets/phone-icon.png"

@template(route="/dashboard", title="Kontakt", image="/contact-icon.png")
def dashboard() -> rx.Component:
    """The dashboard page.

    Returns:
        The UI for the dashboard page.
    """
    container_style = {"background-color": "#f5f5f5", "padding": "10px", "margin-bottom": "20px", "display": "flex", "align-items": "center"}
    icon_style = {"width": "20px", "height": "30px", "margin-right": "10px"}
    heading_style = {"font-weight": "bold", "font-family": "Arial, sans-serif"}


    return rx.wrap(
            rx.hstack(
                rx.vstack(rx.hstack(rx.image(src="/sparkle-left.png",height="3em"),
                        rx.heading("Skontaktuj się!", font_size="2.6em", margin_bottom="10px", background_image="linear-gradient( 64.5deg,  rgba(245,116,185,1) 14.7%, rgba(89,97,223,1) 88.7% )", background_clip="text", padding = "5px", text_align = "center"),
                        rx.image(src="/sparkle-right.png",height="3em"), style={"align-self": "center"}),
                        rx.text("Witaj na stronie Kontaktowej w aplikacji BlurMe!", font_size="1.2em", text_align = "center"),
                        rx.text("Jesteśmy dostępni dla Ciebie na różnych platformach. "
            "Skontaktuj się z nami, gdy tylko masz pytania, sugestie lub "
            "po prostu chcesz porozmawiać o naszej aplikacji.", margin_bottom="25px", text_align = "center"),
                        style={"align-self": "flex-start","margin-left": "50px", "margin-top": "50px", "align-self": "flex-start", "margin-bottom": "25px"}, width = "50%"),
                rx.wrap(rx.vstack(rx.vstack(rx.fragment(
                rx.hstack(rx.icon(tag="email",style=icon_style),
                rx.heading("E-mail", level=3, style=heading_style), margin_top="20px"),
                rx.text("Zapraszamy do napisania do nas na adres: contact@blurme.com"),
                style=container_style,text_align = "center")),
        rx.vstack(rx.fragment(
                rx.hstack(rx.icon(tag="phone", style=icon_style),rx.heading("Telefon", level=3, style=heading_style), margin_top="20px"),
                rx.text("Możesz także zadzwonić pod numer: +48 123 456 789"),
                style=container_style, text_align = "center"),),
        ),style={"align-self": "flex-center"}),))



