"""The home page of the app."""

from blurme import styles
from blurme.templates import template

import reflex as rx

@template(route="/", title="Strona główna", image = "/home-icon.png")
def index() -> rx.Component:
    return rx.vstack(
        
        rx.wrap(
            rx.hstack(
                rx.vstack(rx.hstack(rx.image(src="sparkle-left.png",height="3em"),
                        rx.heading("Witaj w BlurMe!", font_size="2.6em", margin_bottom="10px", background_image="linear-gradient( 64.5deg,  rgba(245,116,185,1) 14.7%, rgba(89,97,223,1) 88.7% )", background_clip="text", padding = "5px", text_align = "center"),
                        rx.image(src="sparkle-right.png",height="3em"), style={"align-self": "center"}),
                        rx.text("Usunięcie wybranych informacji identyfikujących ze zdjęć z wydarzeń i miejsc publicznych nigdy nie było tak proste!", font_size="1.2em", text_align = "center"),
                        rx.text("Dołącz do naszej społeczności użytkowników, którzy cieszą się swobodą dzielenia się chwilami bez obaw o bezpieczeństwo swoich danych osobowych. Zacznij tworzyć bezpieczne wspomnienia już dziś!", margin_bottom="25px", text_align = "center"),
                        rx.text("", pading = "25px"),
                        rx.link(rx.button("Zacznij anonimizować"), href="settings",align="center",color="rgba(117,102,254,255)",button=True,padding="50xp",font_size="1.2em"), 
                        style={"align-self": "flex-start","margin-left": "50px", "margin-top": "50px", "align-self": "flex-start", "margin-bottom": "25px"}, width = "50%"),
                rx.image(src="obraz1.png",height="25em",padding="0.5em",style={"margin-right": "60px"}),
           style={"align-self": "flex-start"}, max_width='100%'),),

        rx.text(" ", height = "20px"),

        rx.vstack(rx.text("Jak to działa?", color = "rgba(117,102,253,255)", font_size="2em", font_weight="bold", margin_top="15px", margin_bottom="5px"),
            rx.list(
            rx.list_item(rx.text("1. Wgraj Zdjęcie ",as_="b",font_size="1.2em"), 
                         rx.text("Prosty proces rozpoczyna się od dodania zdjęcia, które chcesz anonimizować.", ),margin_right = "50%"),
            rx.list_item(rx.text("2. Zaznacz Twarz do Ochrony ",as_="b", font_size="1.2em"), 
                         rx.text("Oznacz twarz, którą chcesz zachować.", ),margin_left = "50%"),
            rx.list_item(rx.text("3. Anonimizuj Resztę ",as_="b", font_size="1.2em"), 
                         rx.text("Naciśnij przycisk, a Blurme automatycznie zastosuje efekt rozmycia do wszystkich obszarów poza zaznaczoną twarzą.", ),margin_right ="50%"),
            rx.list_item(rx.text("4. Pobierz i Podziel Się ",as_="b", font_size="1.2em"), 
                         rx.text("Gotowe! Pobierz anonimizowane zdjęcie i dziel się nim bez obaw o prywatność.",), margin_left = "50%"),
        ), margin_right= "40px", margin_left = "40px"),
        
            rx.vstack(rx.text("Dlaczego Blurme?", color = "rgba(251,108,174,255)", font_size="2em", font_weight="bold", margin_top="25px", margin_bottom="5px"),
        rx.flex(
            rx.box(rx.text("Prywatność",as_="b",font_size="1.3em"), 
                         rx.text("Nasza aplikacja zapewnia pełną ochronę prywatności, eliminując ryzyko identyfikacji osób niezwiązanych z anonimizacją.", text_align="left",),margin_left= "40px", width="315px", padding = "5px"),
            rx.box(rx.text("Elastyczność",as_="b",font_size="1.3em"),
                         rx.text("Wybierz, która twarz na zdjęciu ma pozostać niezmieniona, a my zadbamy o resztę.", text_align="left", ),width="315px",padding = "5px" ),
            rx.box(rx.text("Prosta obsługa",as_="b",font_size="1.3em"),
                         rx.text("Intuicyjny interfejs użytkownika sprawia, że korzystanie z Blurme jest łatwe dla każdego.",text_align="left", ),margin_right= "40px", width="315px",padding = "5px"),
                         align = "top"), text_align = "center"),
            
            rx.vstack(rx.text("Do Czego?", color = "rgba(183,105,215,255)", font_size="2em", font_weight="bold", margin_top="25px", margin_bottom="5px"),
        rx.list(rx.hstack(
            rx.list_item(rx.text("Ochrona Tożsamości",as_="b",font_size="1.3em"),
                         rx.text("Idealne do usuwania twarzy nieznajomych lub przypadkowych przechodniów z tła.", text_align="left"),),
            rx.list_item(rx.text("Zachowanie Prywatności", as_="b",font_size="1.3em"),
                rx.text("Przydatne w sytuacjach, gdy chcesz udostępnić zdjęcia publicznie, ale z zachowaniem prywatności pewnych osób.", text_align="left"),),
            rx.list_item(rx.text("Kreatywność",as_="b",font_size="1.3em"),
                         rx.text("Wyraź swoją kreatywność, zachowując jednocześnie istotne elementy na zdjęciach.", text_align="left"),),
            margin_right =  "40px", margin_left = "40px"), ),text_align = "center", margin_bottom = "50px"),
            
        
 #       rx.text("Blurme to więcej niż tylko narzędzie - to rozwiązanie, które pozwala Ci kontrolować, jak prezentujesz swoje zdjęcia online, zachowując jednocześnie pełną prywatność. Przekształć swoje obrazy już teraz!", text_align = "left"),
    )#Indywidualizuj swoje zdjęcia zgodnie z własnymi potrzebami
